Incorrect path to binary in neutron-plugin-linuxbridge-agent

Bug #1453188 reported by Tomasz Głuch on 2015-05-08
46
This bug affects 8 people
Affects Status Importance Assigned to Milestone
neutron (Ubuntu)
High
James Page
Vivid
High
Corey Bryant
Wily
High
James Page

Bug Description

neutron-plugin-linuxbridge-agent service cannot start due to missing executable so initscripts exits silently with code 0.
There is a name inconsistency between filesystem and initscript.
In /etc/init/neutron-plugin-linuxbridge-agent.conf path to daemon is /usr/bin/neutron-plugin-linuxbridge-agent, but name of existing file is /usr/bin/neutron-linuxbridge-agent.

# dpkg -L neutron-plugin-linuxbridge-agent | grep bin/
/usr/bin/neutron-linuxbridge-agent

# grep usr/bin /etc/init/neutron-plugin-linuxbridge-agent.conf
        [ -x "/usr/bin/neutron-plugin-linuxbridge-agent" ] || exit 0
                --exec /usr/bin/neutron-plugin-linuxbridge-agent -- --config-file=/etc/neutron/neutron.conf ${DAEMON_ARGS}

This bug affects version 1:2015.1~rc1-0ubuntu1~cloud0 and a newest one 1:2015.1.0-0ubuntu1.
Tested on DISTRIB_DESCRIPTION="Ubuntu 14.04.2 LTS" with Cloud-Archive additional repository:
deb http://ubuntu-cloud.archive.canonical.com/ubuntu trusty-updates/kilo main

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in neutron (Ubuntu):
status: New → Confirmed
Matt Kassawara (ionosphere80) wrote :

I consider this a fairly significant issue because the Linux bridge agent doesn't work without modifying the init scripts outside of the package.

James Page (james-page) on 2015-07-02
Changed in neutron (Ubuntu):
importance: Undecided → High
James Page (james-page) on 2015-07-02
Changed in neutron (Ubuntu Wily):
status: Confirmed → Fix Committed
Changed in neutron (Ubuntu Vivid):
status: New → Triaged
importance: Undecided → High
Changed in neutron (Ubuntu Wily):
assignee: nobody → James Page (james-page)
Changed in neutron (Ubuntu Vivid):
assignee: nobody → James Page (james-page)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:7.0.0~b1-0ubuntu3

---------------
neutron (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/neutron-pluging-linuxbridge-agent.init.in: Ensure that the right
    binary is used for neutron-plugin-linuxbridge-agent (LP: #1453188).

 -- James Page <email address hidden> Thu, 02 Jul 2015 16:37:32 +0100

Changed in neutron (Ubuntu Wily):
status: Fix Committed → Fix Released
James Page (james-page) on 2015-08-03
Changed in neutron (Ubuntu Vivid):
assignee: James Page (james-page) → Corey Bryant (corey.bryant)

Hello Tomasz, or anyone else affected,

Accepted neutron into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/1:2015.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Vivid):
status: Triaged → Fix Committed
tags: added: verification-needed
Sam Morrison (sorrison) wrote :

This still affects the kilo cloud arhive, not sure how to mark this in launchpad

Edward Hope-Morley (hopem) wrote :

Sam, Openstack Kilo is tracked under Ubuntu Vivid so once 1:2015.1.1-0ubuntu2 has been verified and lands in vivid-updates it will then be synced into the Kilo Cloud Archive.

Dr. Jens Harbott (j-harbott) wrote :
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2015.1.1-0ubuntu2

---------------
neutron (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/neutron-pluging-linuxbridge-agent.init.in: Ensure that the right
      binary is used for neutron-plugin-linuxbridge-agent (LP: #1453188).

 -- Corey Bryant <email address hidden> Wed, 05 Aug 2015 11:23:17 -0400

Changed in neutron (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers